import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'config' },
})
export class Config extends BaseModel {
  @prop({ required: false, index: false, zh: '系统名称' })
  title: string;
  @prop({ required: false, index: false, zh: '设置' })
  config: object;
  @prop({ required: false, index: false, zh: '用户协议', remark: '富文本' })
  agree: string;
  @prop({ required: false, index: false, zh: '底部加载数据结束的文字提示' })
  bottom_title: string;
  @prop({ required: false, index: false, zh: '底部菜单设置' })
  bottom_menu: object;
  @prop({ required: false, index: false, zh: '提现日期' })
  reward_day: number;
  @prop({ required: false, index: false, zh: '团长规则', remark: '富文本' })
  leader_rule: string
}
