import { Provide } from '@midwayjs/decorator';
import { GoodsConfig } from '../entity/group/goodsConfig';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
type modelType = ReturnModelType<typeof GoodsConfig>;
@Provide()
export class GoodsConfigService extends BaseService<modelType> {
  @InjectEntityModel(GoodsConfig)
  model: modelType;
}
