import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'admin' },
})
export class Admin extends BaseModel {
  @prop({ required: false, index: true, zh: '账号' })
  account: string;
  @prop({ required: false, index: false, zh: '密码', select: false })
  password: object;
  @prop({ required: false, index: false, zh: '名称' })
  name: string;
  @prop({ required: false, index: true, zh: '角色', ref: 'Role' })
  role: string;
  @prop({ required: false, index: true, zh: '店铺', ref: 'Shop' })
  shop: string;
  @prop({ required: false, index: false, zh: '邮箱' })
  email: string;
}
